Last Comment Bug 762129 - Wrong behavior of the Participants/Previous conversations splitter when moved all the way to the top/bottom
: Wrong behavior of the Participants/Previous conversations splitter when moved...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Florian Quèze [:florian] [:flo]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 10:31 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-06-15 04:04 PDT (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch (3.79 KB, patch)
2012-06-06 10:31 PDT, Florian Quèze [:florian] [:flo]
mconley: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Splinter Review
Same patch with -w for easy review (2.43 KB, patch)
2012-06-06 10:33 PDT, Florian Quèze [:florian] [:flo]
no flags Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-06-06 10:31:24 PDT
Created attachment 630617 [details] [diff] [review]
Patch

Currently moving the splitter between the list of participants and the list of previous conversations all the way to the bottom makes a vertical scrollbar appear, and moving it all the way to the top moves the "Participants" header into the toolbar displaying the conversation title and topic.

This can easily be fixed by adding another vbox to limit how much the splitter can move the lists to the top, and adding overflow:hidden to it to avoid the scrollbar.
Comment 1 Florian Quèze [:florian] [:flo] 2012-06-06 10:33:35 PDT
Created attachment 630621 [details] [diff] [review]
Same patch with -w for easy review
Comment 2 Mike Conley (:mconley) 2012-06-12 13:05:34 PDT
Comment on attachment 630617 [details] [diff] [review]
Patch

Review of attachment 630617 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good, thanks Florian.
Comment 3 Florian Quèze [:florian] [:flo] 2012-06-14 07:18:52 PDT
https://hg.mozilla.org/comm-central/rev/f99dd90965a1
Comment 4 Florian Quèze [:florian] [:flo] 2012-06-14 07:19:29 PDT
Comment on attachment 630617 [details] [diff] [review]
Patch

[Approval Request Comment]
Simple bugfix for the Chat feature.
Comment 5 Florian Quèze [:florian] [:flo] 2012-06-15 04:04:08 PDT
https://hg.mozilla.org/releases/comm-aurora/rev/4517e86cbcf6

Note You need to log in before you can comment on or make changes to this bug.